RHEL7 redhat-lsb Failures

Latest response

I'd appreciate any insight about this problem. Am I missing something? I have a RHEL7 bare-metal server installation with valid subscription. Attempting to install redhat-lsb via commandline results in failures. In an effort to work around the errors, I attempted to install the redhat-lsb-core package only, which pulled in redhat-lsb-submod-security instead!

The following shows the errors, though they are not very useful as they show wrong versions available; even though the correct version is shown to be available!

Error: Package: redhat-lsb-desktop-4.1-27.el7.x86_64 (rhel-7-server-rpms)
           Requires: redhat-lsb-core(x86-64) = 4.1-27.el7
           Available: redhat-lsb-core-4.1-24.el7.x86_64 (rhel-7-server-rpms)
               redhat-lsb-core(x86-64) = 4.1-24.el7
           Available: redhat-lsb-core-4.1-27.el7.i686 (rhel-7-server-rpms)
              ~redhat-lsb-core(x86-32) = 4.1-27.el7

The packages are available:

Installed Packages
redhat-lsb-submod-security.x86_64                         4.1-27.el7                        @rhel-7-server-rpms        
Available Packages
redhat-lsb.i686                                           4.1-27.el7                        rhel-7-server-rpms         
redhat-lsb.x86_64                                         4.1-27.el7                        rhel-7-server-rpms         
redhat-lsb-core.i686                                      4.1-27.el7                        rhel-7-server-rpms         
redhat-lsb-core.x86_64                                    4.1-27.el7                        rhel-7-server-rpms         
redhat-lsb-cxx.i686                                       4.1-27.el7                        rhel-7-server-rpms         
redhat-lsb-cxx.x86_64                                     4.1-27.el7                        rhel-7-server-rpms         
redhat-lsb-desktop.i686                                   4.1-27.el7                        rhel-7-server-rpms         
redhat-lsb-desktop.x86_64                                 4.1-27.el7                        rhel-7-server-rpms         
redhat-lsb-languages.i686                                 4.1-27.el7                        rhel-7-server-rpms         
redhat-lsb-languages.x86_64                               4.1-27.el7                        rhel-7-server-rpms         
redhat-lsb-printing.i686                                  4.1-27.el7                        rhel-7-server-rpms         
redhat-lsb-printing.x86_64                                4.1-27.el7                        rhel-7-server-rpms         
redhat-lsb-submod-multimedia.i686                         4.1-27.el7                        rhel-7-server-rpms         
redhat-lsb-submod-multimedia.x86_64                       4.1-27.el7                        rhel-7-server-rpms         
redhat-lsb-submod-security.i686                           4.1-27.el7                        rhel-7-server-rpms         
redhat-lsb-supplemental.x86_64                            4.1-27.el7                        rhel-7-server-optional-rpms
redhat-lsb-trialuse.i686                                  4.1-27.el7                        rhel-7-server-optional-rpms
redhat-lsb-trialuse.x86_64                                4.1-27.el7                        rhel-7-server-optional-rpms

Lastly, here is the full output of the yum transaction:

# yum install redhat-lsb                                                                                                                                                                                            [244/993]
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
https://cdn.redhat.com/content/beta/rhel/server/7/x86_64/dotnet/1/source/SRPMS/repodata/repomd.xml: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
To address this issue please refer to the below knowledge base article 

https://access.redhat.com/articles/1320623

If above article doesn't help to resolve this issue please open a ticket with Red Hat Support.

Resolving Dependencies
--> Running transaction check
---> Package redhat-lsb.x86_64 0:4.1-27.el7 will be installed
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-27.el7 for package: redhat-lsb-4.1-27.el7.x86_64
--> Processing Dependency: redhat-lsb-cxx(x86-64) = 4.1-27.el7 for package: redhat-lsb-4.1-27.el7.x86_64
--> Processing Dependency: redhat-lsb-desktop(x86-64) = 4.1-27.el7 for package: redhat-lsb-4.1-27.el7.x86_64
--> Processing Dependency: redhat-lsb-languages = 4.1-27.el7 for package: redhat-lsb-4.1-27.el7.x86_64
--> Processing Dependency: redhat-lsb-printing = 4.1-27.el7 for package: redhat-lsb-4.1-27.el7.x86_64
--> Running transaction check
---> Package redhat-lsb-core.x86_64 0:4.1-27.el7 will be installed
--> Processing Dependency: redhat-lsb-submod-security(x86-64) = 4.1-27.el7 for package: redhat-lsb-core-4.1-27.el7.x86_64
--> Processing Dependency: spax for package: redhat-lsb-core-4.1-27.el7.x86_64
---> Package redhat-lsb-cxx.x86_64 0:4.1-27.el7 will be installed
---> Package redhat-lsb-desktop.x86_64 0:4.1-27.el7 will be installed
--> Processing Dependency: redhat-lsb-submod-multimedia(x86-64) = 4.1-27.el7 for package: redhat-lsb-desktop-4.1-27.el7.x86_64
---> Package redhat-lsb-languages.x86_64 0:4.1-27.el7 will be installed
---> Package redhat-lsb-printing.x86_64 0:4.1-27.el7 will be installed
--> Running transaction check
---> Package redhat-lsb-submod-multimedia.x86_64 0:4.1-27.el7 will be installed
---> Package redhat-lsb-submod-security.x86_64 0:4.1-27.el7 will be installed
---> Package spax.x86_64 0:1.5.2-13.el7 will be installed
Removing redhat-lsb-core.x86_64 0:4.1-27.el7 - u due to obsoletes from installed stub-redhat-lsb-core-only-for-ceph-2015.1-1.atomic.el7.noarch
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package redhat-lsb-core.x86_64 0:4.1-27.el7 will be installed
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-27.el7 for package: redhat-lsb-languages-4.1-27.el7.x86_64
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-27.el7 for package: redhat-lsb-cxx-4.1-27.el7.x86_64
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-27.el7 for package: redhat-lsb-4.1-27.el7.x86_64
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-27.el7 for package: redhat-lsb-desktop-4.1-27.el7.x86_64
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-27.el7 for package: redhat-lsb-printing-4.1-27.el7.x86_64
--> Finished Dependency Resolution
Error: Package: redhat-lsb-cxx-4.1-27.el7.x86_64 (rhel-7-server-rpms)
           Requires: redhat-lsb-core(x86-64) = 4.1-27.el7
           Available: redhat-lsb-core-4.1-24.el7.x86_64 (rhel-7-server-rpms)
               redhat-lsb-core(x86-64) = 4.1-24.el7
           Available: redhat-lsb-core-4.1-27.el7.i686 (rhel-7-server-rpms)
              ~redhat-lsb-core(x86-32) = 4.1-27.el7
Error: Package: redhat-lsb-4.1-27.el7.x86_64 (rhel-7-server-rpms)
           Requires: redhat-lsb-core(x86-64) = 4.1-27.el7
           Available: redhat-lsb-core-4.1-24.el7.x86_64 (rhel-7-server-rpms)
               redhat-lsb-core(x86-64) = 4.1-24.el7
           Available: redhat-lsb-core-4.1-27.el7.i686 (rhel-7-server-rpms)
              ~redhat-lsb-core(x86-32) = 4.1-27.el7
Error: Package: redhat-lsb-desktop-4.1-27.el7.x86_64 (rhel-7-server-rpms)
           Requires: redhat-lsb-core(x86-64) = 4.1-27.el7
           Available: redhat-lsb-core-4.1-24.el7.x86_64 (rhel-7-server-rpms)
               redhat-lsb-core(x86-64) = 4.1-24.el7
           Available: redhat-lsb-core-4.1-27.el7.i686 (rhel-7-server-rpms)
              ~redhat-lsb-core(x86-32) = 4.1-27.el7
Error: Package: redhat-lsb-languages-4.1-27.el7.x86_64 (rhel-7-server-rpms)
           Requires: redhat-lsb-core(x86-64) = 4.1-27.el7
           Available: redhat-lsb-core-4.1-24.el7.x86_64 (rhel-7-server-rpms)
               redhat-lsb-core(x86-64) = 4.1-24.el7
           Available: redhat-lsb-core-4.1-27.el7.i686 (rhel-7-server-rpms)
              ~redhat-lsb-core(x86-32) = 4.1-27.el7
Error: Package: redhat-lsb-printing-4.1-27.el7.x86_64 (rhel-7-server-rpms)
           Requires: redhat-lsb-core(x86-64) = 4.1-27.el7
           Available: redhat-lsb-core-4.1-24.el7.x86_64 (rhel-7-server-rpms)
               redhat-lsb-core(x86-64) = 4.1-24.el7
           Available: redhat-lsb-core-4.1-27.el7.i686 (rhel-7-server-rpms)
              ~redhat-lsb-core(x86-32) = 4.1-27.el7
**********************************************************************
Dependency resolving failed due to missing dependencies.
Some repositories on your system are disabled, but yum can enable them
and search for missing dependencies. This will require downloading
metadata for disabled repositories and may take some time and traffic.
**********************************************************************

Enable all repositories and try again? [y/N]: y
rhel-ha-for-rhel-7-server-eus-rpms/7Server/x86_64                                               | 3.4 kB  00:00:00     
rhel-7-server-satellite-tools-6.2-rpms/x86_64                                                   | 3.8 kB  00:00:00     
rhel-7-server-satellite-tools-6.2-rpms/x86_64/group                                             |  905 B  00:00:00     
rhel-7-server-satellite-tools-6.2-rpms/x86_64/updateinfo                                        | 5.7 kB  00:00:00     
rhel-7-server-satellite-tools-6.2-rpms/x86_64/primary_db                                        |  30 kB  00:00:00     
rhel-7-server-eus-satellite-tools-6.2-rpms/7Server/x86_64                                       | 3.8 kB  00:00:00     
rhel-7-server-eus-satellite-tools-6.2-rpms/7Server/x86_64/group                                 |  104 B  00:00:00     
rhel-7-server-eus-satellite-tools-6.2-rpms/7Server/x86_64/updateinfo                            | 5.7 kB  00:00:00     
rhel-7-server-eus-satellite-tools-6.2-rpms/7Server/x86_64/primary_db                            |  30 kB  00:00:00     
rh-gluster-3-client-for-rhel-7-server-rpms/7Server/x86_64                                       | 3.8 kB  00:00:00     
rh-gluster-3-client-for-rhel-7-server-rpms/7Server/x86_64/updateinfo                            | 7.2 kB  00:00:00     
rh-gluster-3-client-for-rhel-7-server-rpms/7Server/x86_64/primary_db                            |  30 kB  00:00:00     
rhel-7-server-openstack-7.0-tools-rpms/7Server/x86_64                                           | 3.8 kB  00:00:00     
rhel-7-server-openstack-7.0-tools-rpms/7Server/x86_64/group                                     |  104 B  00:00:00     
rhel-7-server-openstack-7.0-tools-rpms/7Server/x86_64/updateinfo                                |  27 kB  00:00:00     
rhel-7-server-openstack-7.0-tools-rpms/7Server/x86_64/primary_db                                |  35 kB  00:00:00     
rhel-7-server-eus-optional-rpms/7Server/x86_64                                                  | 3.3 kB  00:00:00     
rhel-7-server-eus-rhn-tools-rpms/7Server/x86_64                                                 | 3.8 kB  00:00:00     
rhel-7-server-eus-rhn-tools-rpms/7Server/x86_64/group                                           |  104 B  00:00:00     
rhel-7-server-eus-rhn-tools-rpms/7Server/x86_64/updateinfo                                      |  11 kB  00:00:00     
rhel-7-server-eus-rhn-tools-rpms/7Server/x86_64/primary_db                                      |  35 kB  00:00:00     
rhel-7-server-eus-supplementary-debuginfo/7Server/x86_64                                        | 3.7 kB  00:00:00     
rhel-7-server-eus-supplementary-debuginfo/7Server/x86_64/group                                  |  104 B  00:00:00     
rhel-7-server-eus-supplementary-debuginfo/7Server/x86_64/updateinfo                             |   91 B  00:00:00     
rhel-7-server-eus-supplementary-debuginfo/7Server/x86_64/primary_db                             | 1.5 kB  00:00:00     
rhel-7-server-eus-rpms/7Server/x86_64                                                           | 3.5 kB  00:00:00     
rhel-7-server-eus-rpms/7Server/x86_64/updateinfo                                                | 415 kB  00:00:00     
rhel-7-server-eus-rpms/7Server/x86_64/primary_db                                                |  26 MB  00:00:01     
rhel-7-server-eus-rh-common-rpms/7Server/x86_64                                                 | 3.7 kB  00:00:00     
rhel-7-server-eus-satellite-tools-6.1-rpms/7Server/x86_64                                       | 3.8 kB  00:00:00     
rhel-7-server-eus-satellite-tools-6.1-rpms/7Server/x86_64/group                                 | 1.7 kB  00:00:00     
rhel-7-server-eus-satellite-tools-6.1-rpms/7Server/x86_64/updateinfo                            | 9.0 kB  00:00:00     
rhel-7-server-eus-satellite-tools-6.1-rpms/7Server/x86_64/primary_db                            |  37 kB  00:00:00     
rhel-7-server-eus-thirdparty-oracle-java-rpms/7Server/x86_64                                    | 3.7 kB  00:00:00     
rhel-rs-for-rhel-7-server-eus-rpms/7Server/x86_64                                               | 3.4 kB  00:00:00     
rhel-sjis-for-rhel-7-server-eus-rpms/7Server/x86_64                                             | 4.0 kB  00:00:00     
rhel-7-server-v2vwin-1-rpms/7Server/x86_64                                                      | 3.2 kB  00:00:00     
rhel-7-server-v2vwin-1-rpms/7Server/x86_64/group                                                |  104 B  00:00:00     
rhel-7-server-v2vwin-1-rpms/7Server/x86_64/updateinfo                                           |  998 B  00:00:00     
rhel-7-server-v2vwin-1-rpms/7Server/x86_64/primary_db                                           | 3.7 kB  00:00:00     
rhel-7-server-satellite-tools-6.1-rpms/x86_64                                                   | 3.8 kB  00:00:00     
rhel-7-server-satellite-tools-6.1-rpms/x86_64/group                                             | 1.7 kB  00:00:00     
rhel-7-server-satellite-tools-6.1-rpms/x86_64/updateinfo                                        | 9.0 kB  00:00:00     
rhel-7-server-satellite-tools-6.1-rpms/x86_64/primary_db                                        |  37 kB  00:00:00     
rhel-7-server-rhceph-1.3-tools-rpms/7Server/x86_64                                              | 3.8 kB  00:00:00     
rhel-7-server-eus-supplementary-rpms/7Server/x86_64                                             | 3.2 kB  00:00:00     
--> Running transaction check
---> Package redhat-lsb-core.x86_64 0:4.1-27.el7 will be installed
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-27.el7 for package: redhat-lsb-languages-4.1-27.el7.x86_64
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-27.el7 for package: redhat-lsb-cxx-4.1-27.el7.x86_64
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-27.el7 for package: redhat-lsb-4.1-27.el7.x86_64
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-27.el7 for package: redhat-lsb-desktop-4.1-27.el7.x86_64
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-27.el7 for package: redhat-lsb-printing-4.1-27.el7.x86_64
--> Running transaction check
---> Package redhat-lsb-core.x86_64 0:4.1-27.el7 will be installed
Removing redhat-lsb-core.x86_64 0:4.1-27.el7 - u due to obsoletes from installed stub-redhat-lsb-core-only-for-ceph-2015.1-1.atomic.el7.noarch
rhel-7-server-eus-rpms/7Server/x86_64/filelists_db                                              |  18 MB  00:00:00     
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package redhat-lsb-core.x86_64 0:4.1-27.el7 will be installed
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-27.el7 for package: redhat-lsb-languages-4.1-27.el7.x86_64
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-27.el7 for package: redhat-lsb-cxx-4.1-27.el7.x86_64
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-27.el7 for package: redhat-lsb-4.1-27.el7.x86_64
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-27.el7 for package: redhat-lsb-desktop-4.1-27.el7.x86_64
--> Processing Dependency: redhat-lsb-core(x86-64) = 4.1-27.el7 for package: redhat-lsb-printing-4.1-27.el7.x86_64
--> Finished Dependency Resolution
Error: Package: redhat-lsb-cxx-4.1-27.el7.x86_64 (rhel-7-server-rpms)
           Requires: redhat-lsb-core(x86-64) = 4.1-27.el7
           Available: redhat-lsb-core-4.1-24.el7.x86_64 (rhel-7-server-eus-rpms)
               redhat-lsb-core(x86-64) = 4.1-24.el7
           Available: redhat-lsb-core-4.1-27.el7.i686 (rhel-7-server-eus-rpms)
              ~redhat-lsb-core(x86-32) = 4.1-27.el7
Error: Package: redhat-lsb-4.1-27.el7.x86_64 (rhel-7-server-rpms)
           Requires: redhat-lsb-core(x86-64) = 4.1-27.el7
           Available: redhat-lsb-core-4.1-24.el7.x86_64 (rhel-7-server-eus-rpms)
               redhat-lsb-core(x86-64) = 4.1-24.el7
           Available: redhat-lsb-core-4.1-27.el7.i686 (rhel-7-server-eus-rpms)
              ~redhat-lsb-core(x86-32) = 4.1-27.el7
Error: Package: redhat-lsb-languages-4.1-27.el7.x86_64 (rhel-7-server-rpms)
           Requires: redhat-lsb-core(x86-64) = 4.1-27.el7
           Available: redhat-lsb-core-4.1-24.el7.x86_64 (rhel-7-server-eus-rpms)
               redhat-lsb-core(x86-64) = 4.1-24.el7
           Available: redhat-lsb-core-4.1-27.el7.i686 (rhel-7-server-eus-rpms)
              ~redhat-lsb-core(x86-32) = 4.1-27.el7
Error: Package: redhat-lsb-printing-4.1-27.el7.x86_64 (rhel-7-server-rpms)
           Requires: redhat-lsb-core(x86-64) = 4.1-27.el7
           Available: redhat-lsb-core-4.1-24.el7.x86_64 (rhel-7-server-eus-rpms)
               redhat-lsb-core(x86-64) = 4.1-24.el7
           Available: redhat-lsb-core-4.1-27.el7.i686 (rhel-7-server-eus-rpms)
              ~redhat-lsb-core(x86-32) = 4.1-27.el7
Error: Package: redhat-lsb-desktop-4.1-27.el7.x86_64 (rhel-7-server-rpms)
           Requires: redhat-lsb-core(x86-64) = 4.1-27.el7
           Available: redhat-lsb-core-4.1-24.el7.x86_64 (rhel-7-server-eus-rpms)
               redhat-lsb-core(x86-64) = 4.1-24.el7
           Available: redhat-lsb-core-4.1-27.el7.i686 (rhel-7-server-eus-rpms)
              ~redhat-lsb-core(x86-32) = 4.1-27.el7
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Why would this be happening? Is there anything that I can/should do to resolve this?

Responses

"> Attempting to install redhat-lsb via commandline results in failures."

The redhat-lsb package is in the rhel-7-server-fastrack-rpms repo. You'd need to enable this repo for yum to find it.

Thanks for the reply. However, that does not resolve the issue. I should also mention, I have yum check all repos for dependencies as well as the fasttrack repo enabled.

# grep notify /etc/yum/pluginconf.d/search-disabled-repos.conf 
# With notify_only=1 this plugin does not modify yum's behaviour.
# Setting notify_only to 0 will enable yum to try to automatically resolve
# notify_only=1
notify_only=0

Can you check the output returned by:

yum list --enablerepo=rhel-7-server-fastrack-rpms redhat-lsb*

Well, that displays the same results as I showed before. That's expected behaviour, though, as the packages with the expected versions are shown in the repos as before. However, the following should have worked to display all packages in the "fastrack" repo, along with any "redhat-lsb*" packages.

repoquery -qa --repoid=rhel-7-server-fastrack-rpms

Unfortunately, the entire repository shows no packages available at all! It is still enabled, by the way.

some times these dependencies would go crazy...I could see one statement which needs attention in there ...

Removing redhat-lsb-core.x86_64 0:4.1-27.el7 - u due to obsoletes from installed stub-redhat-lsb-core-only-for-ceph-2015.1-1.atomic.el7.noarch

Most of the dependencies are around this package, try installing this first.

I attempted to install the redhat-lsb-core package only, which pulled in redhat-lsb-submod-security instead!

Installed Packages
redhat-lsb-submod-security.x86_64                       4.1-27.el7                      @rhel-7-server-rpms            
Available Packages
redhat-lsb.i686                                         4.1-27.el7                      rhel-7-server-beta-rpms        
redhat-lsb.x86_64                                       4.1-27.el7                      rhel-7-server-beta-rpms        
redhat-lsb-core.i686                                    4.1-27.el7                      rhel-7-server-beta-rpms        
redhat-lsb-core.x86_64                                  4.1-27.el7                      rhel-7-server-beta-rpms        
redhat-lsb-cxx.i686                                     4.1-27.el7                      rhel-7-server-beta-rpms        
redhat-lsb-cxx.x86_64                                   4.1-27.el7                      rhel-7-server-beta-rpms        
redhat-lsb-desktop.i686                                 4.1-27.el7                      rhel-7-server-beta-rpms        
redhat-lsb-desktop.x86_64                               4.1-27.el7                      rhel-7-server-beta-rpms        
redhat-lsb-languages.i686                               4.1-27.el7                      rhel-7-server-beta-rpms        
redhat-lsb-languages.x86_64                             4.1-27.el7                      rhel-7-server-beta-rpms        
redhat-lsb-printing.i686                                4.1-27.el7                      rhel-7-server-beta-rpms        
redhat-lsb-printing.x86_64                              4.1-27.el7                      rhel-7-server-beta-rpms        
redhat-lsb-submod-multimedia.i686                       4.1-27.el7                      rhel-7-server-beta-rpms        
redhat-lsb-submod-multimedia.x86_64                     4.1-27.el7                      rhel-7-server-beta-rpms        
redhat-lsb-submod-security.i686                         4.1-27.el7                      rhel-7-server-beta-rpms        
redhat-lsb-supplemental.x86_64                          4.1-27.el7                      rhel-7-server-eus-optional-rpms
redhat-lsb-trialuse.i686                                4.1-27.el7                      rhel-7-server-eus-optional-rpms
redhat-lsb-trialuse.x86_64                              4.1-27.el7                      rhel-7-server-eus-optional-rpms

Thanks for pointing that out. I will look over the details of the transaction and history logs to attempt to locate and remove that package; even though it's not listed in the yum list output.

Awesome! That was the problem all along. I figured the atomic host repos would be problematic after I disabled them on the host.

# rpm -qa |grep -i lsb
redhat-lsb-submod-security-4.1-27.el7.x86_64
stub-redhat-lsb-core-only-for-ceph-2015.1-1.atomic.el7.noarch

...
Return-Code    : Success
Command Line   : remove *ceph*
Transaction performed with:
    Installed     rpm-4.11.3-17.el7.x86_64                  @anaconda/7.2
    Installed     subscription-manager-1.15.9-15.el7.x86_64 @anaconda/7.2
    Installed     yum-3.4.3-132.el7.noarch                  @anaconda/7.2
Packages Altered:
    Erase stub-redhat-lsb-core-only-for-ceph-2015.1-1.atomic.el7.noarch @rhel-atomic-host-rpms
...
Installed:
  redhat-lsb.x86_64 0:4.1-27.el7                                                                                                                                                                                                               

Dependency Installed:
  redhat-lsb-core.x86_64 0:4.1-27.el7                    redhat-lsb-cxx.x86_64 0:4.1-27.el7       redhat-lsb-desktop.x86_64 0:4.1-27.el7       redhat-lsb-languages.x86_64 0:4.1-27.el7       redhat-lsb-printing.x86_64 0:4.1-27.el7      
  redhat-lsb-submod-multimedia.x86_64 0:4.1-27.el7      

Complete!
# subscription-manager repos --disable=rhel-atomic-host-rpms 
# yum install redhat-lsb.x86_64
# rpm -qa | grep lsb
redhat-lsb-submod-multimedia-4.1-27.el7.x86_64
redhat-lsb-core-4.1-27.el7.x86_64
redhat-lsb-desktop-4.1-27.el7.x86_64
redhat-lsb-cxx-4.1-27.el7.x86_64
redhat-lsb-4.1-27.el7.x86_64
redhat-lsb-printing-4.1-27.el7.x86_64
redhat-lsb-submod-security-4.1-27.el7.x86_64
redhat-lsb-languages-4.1-27.el7.x86_64

on Red Hat 7.3

i need to install the following dependency packages in redhat 7.3 machine which is not having internet for installing one of my application. lsb-core, glibc.i686, libgcc.i686, numactl-libs, libaio, libaio1, libaio.x86_64, libnuma1.

Please help in getting the repos of these dependecies.

Hi.. I am trying to install Oracle Database 18c XE on Linux but I am getting below error. Could you please help to fix this error.

Error:

yum -y localinstall oracle-database-preinstall-18c-1.0-1.el7.x86_64.rpm

Loaded plugins: product-id, search-disabled-repos, subscription-manager Examining oracle-database-preinstall-18c-1.0-1.el7.x86_64.rpm: oracle-database-preinstall-18c-1.0-1.el7.x86_64 oracle-database-preinstall-18c-1.0-1.el7.x86_64.rpm: does not update installed package. Nothing to do

Thanks..